rules:
  # Bronze
  action-setup:
    status: exempt
    comment: No service actions currently available
  appropriate-polling: done
  brands: done
  common-modules: done
  config-flow-test-coverage: done
  config-flow: done
  dependency-transparency: done
  docs-actions: done
  docs-high-level-description: done
  docs-installation-instructions: done
  docs-removal-instructions: done
  entity-event-setup:
    status: exempt
    comment: |
      No explicit event subscriptions.
  entity-unique-id: done
  has-entity-name: done
  runtime-data: done
  test-before-configure:
    status: todo
    comment: |
      There are two servers that are used for this integration.
      If the authentication server is unreachable, the user will not pass the configuration step.
      If the backend is unreachable, an empty error message is displayed.
  test-before-setup: done
  unique-config-entry: done

  # Silver
  action-exceptions:
    status: exempt
    comment: No service actions currently available
  config-entry-unloading: done
  docs-configuration-parameters:
    status: exempt
    comment: |
      No configuration parameters available.
  docs-installation-parameters: done
  entity-unavailable: done
  integration-owner: done
  log-when-unavailable: done
  parallel-updates: done
  reauthentication-flow: done
  test-coverage: done

  # Gold
  devices: done
  diagnostics: todo
  discovery-update-info:
    status: exempt
    comment: |
      This integration is a cloud service and thus does not support discovery.
  discovery:
    status: exempt
    comment: |
      This integration is a cloud service and thus does not support discovery.
  docs-data-update: done
  docs-examples: todo
  docs-known-limitations: done
  docs-supported-devices: done
  docs-supported-functions: todo
  docs-troubleshooting: done
  docs-use-cases: todo
  dynamic-devices:
    status: todo
    comment: |
      While unlikely to happen. Check if it is easily integrated.
  entity-category: todo
  entity-device-class: done
  entity-disabled-by-default: todo
  entity-translations: done
  exception-translations: todo
  icon-translations: done
  reconfiguration-flow:
    status: exempt
    comment: |
      There is no reconfiguration, as the only configuration step is authentication.
  repair-issues:
    status: exempt
    comment: |
      This is a cloud service and apart form reauthentication there are not user repairable issues.
  stale-devices:
    status: todo
    comment: |
      While unlikely to happen. Check if it is easily integrated.

  # Platinum
  async-dependency: done
  inject-websession: done
  strict-typing: todo
